%global dlrn_nvr hardware-0.23.0-2.20220111225817.59211cc
%global dlrn 1
%define upstream_version 0.23.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{?!_licensedir:%global license %%doc}
%{!?upstream_version: %global upstream_version %{version}}

%global with_doc 0

%global common_desc \
Hardware detection and classification utilities. \
Features: \
* detect hardware features of a Linux systems: \
** RAID \
** hard drives \
** IPMI \
** network cards \
** DMI info \
** memory settings \
** processor features \
* filter hardware according to hardware profiles

Name:           python-hardware
Summary:        Hardware detection and classification utilities
Version: 0.23.0
Release: 2.20220111225817.59211cc%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/hardware

Source0: hardware-0.23.0-2.20220111225817.59211cc.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=59211cc68c9923b2348f15ee73f88ab16706e637
Patch0001: 0001-DOWNSTREAM-ONLY-Handle-check_output-exception.patch

BuildArch:      noarch

BuildRequires:  git

%description
%{common_desc}


%package -n python%{pyver}-hardware
Summary:        Hardware detection and classification utilities
%{?python_provide:%python_provide python%{pyver}-hardware}
%if %{pyver} == 3
Obsoletes: python2-hardware < %{version}-%{release}
%endif

BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-babel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-six
Requires: python%{pyver}-hardware-detect = %{version}-%{release}
Requires: python%{pyver}-pbr
Requires: python%{pyver}-six

%description -n python%{pyver}-hardware
%{common_desc}

%package -n python%{pyver}-hardware-detect
Summary:    Hardware detection and classification utilities
%{?python_provide:%python_provide python%{pyver}-hardware-detect}
%if %{pyver} == 3
Obsoletes: python2-hardware-detect < %{version}-%{release}
%endif

Requires: lshw
Requires: smartmontools
Requires: lldpad
Requires: sysbench
Requires: fio
Requires: python%{pyver}-pbr
Requires: python%{pyver}-netaddr
Requires: python%{pyver}-pexpect
Requires: python%{pyver}-ptyprocess
Requires: ethtool
Requires: pciutils

# Handle python2 exception
%if %{pyver} == 2
Requires: python-ipaddress
%endif

%description -n python%{pyver}-hardware-detect
%{common_desc}


%if 0%{?with_doc}
%package doc
Summary:    Documentation for Hardware detection and classification utilities
Group:      Documentation

BuildRequires:  python%{pyver}-sphinx

%description doc
Documentation for Hardware detection and classification utilities.
%endif

%prep
%autosetup -S git -n hardware-%{upstream_version}
rm -rf *.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{pyver_bin}|'

%build
%{pyver_build}

%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx
rm -rf doc/build/html/.buildinfo
%endif

%install
%{pyver_install}
# Do not package cardiff files from python-hardware-0.23
# to avoid needing X11 dependencies.
rm -rf %{buildroot}/%{pyver_sitelib}/hardware/cardiff || true
rm -f %{buildroot}/%{_bindir}/hardware-cardiff || true

%files -n python%{pyver}-hardware
%license LICENSE
%doc README.rst
%{pyver_sitelib}/hardware/test*
%if %{pyver} == 3
%{pyver_sitelib}/hardware/__pycache__
%endif

%files -n python%{pyver}-hardware-detect
%license LICENSE
%doc README.rst
%{_bindir}/hardware-detect
%{pyver_sitelib}/hardware/benchmark
%{pyver_sitelib}/hardware/*.py*
%{pyver_sitelib}/hardware*.egg-info

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 0.23.0-2.20220111225817.59211cc
- Update patches

* Wed Jun 09 2021 CPaaS User <cpaas-ops@redhat.com> - 0.23.0-2.20210527194532.59211cc.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.23.0-2.20210527194532.59211cc
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- [DOWNSTREAM ONLY] Handle check_output exception

* Fri Oct 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches
- Merge pull request #123 from elfosardo/goodbye-six
- Merge branch 'master' into goodbye-six
- Merge pull request #122 from dtantsur/netaddr
- Stop using six library
- Drop the dependency on netaddr
- Merge pull request #121 from jovial/network-disk
- Skip network drive grouping when network drives not detected
- Merge pull request #119 from elfosardo/no-future
- Merge pull request #118 from elfosardo/use-correct-py-ver
- No need to import print_function anymore
- Use correct python version for tox based on env
- Merge pull request #116 from elfosardo/goodbye-py2
- Stop supporting Python 2.x

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #123 from elfosardo/goodbye-six
- Merge branch 'master' into goodbye-six
- Merge pull request #122 from dtantsur/netaddr
- Stop using six library
- Drop the dependency on netaddr

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #121 from jovial/network-disk
- Skip network drive grouping when network drives not detected

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #119 from elfosardo/no-future
- Merge pull request #118 from elfosardo/use-correct-py-ver
- No need to import print_function anymore
- Use correct python version for tox based on env

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #116 from elfosardo/goodbye-py2
- Stop supporting Python 2.x

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #115 from urosorozel/hpacucli
- Fix hpacucli with python3

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #113 from elfosardo/use-bionic
- Use bionic instead of xenial for travis CI

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #112 from elfosardo/travis-py-all
- Use tox-travis for testing

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #111 from elfosardo/drop-py35
- Drop Python 3.5 in favor of Python 3.8

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #110 from elfosardo/check-reqs
- Enabling docs testing in travis

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #109 from dtantsur/master
- Rename FakeAMD back to AuthenticAMD

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches
- Merge pull request #108 from elfosardo/fix-mem-benchmark
- Merge pull request #106 from elfosardo/use-str-format
- Fix error mem benchmark with Python 3
- Use string format instead of concatenation

* Thu Sep 26 2019 OSP Prod Chain <dev-null@redhat.com> 0.21.1-1
- Update patches

* Wed Sep 25 2019 RDO <dev@lists.rdoproject.org> 0.21.1-1
- Update to 0.21.1


